Bug 183071 - [MAINTAINER UPDATE] devel/aegis
Summary: [MAINTAINER UPDATE] devel/aegis
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-17 21:30 UTC by aryeh.friedman
Modified: 2013-10-22 00:30 UTC (History)
0 users

See Also:


Attachments
file.diff (417 bytes, patch)
2013-10-17 21:30 UTC, aryeh.friedman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description aryeh.friedman 2013-10-17 21:30:00 UTC
Add GCC
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-10-18 20:27:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-10-22 00:21:14 UTC
Author: danilo
Date: Mon Oct 21 23:21:00 2013
New Revision: 331210
URL: http://svnweb.freebsd.org/changeset/ports/331210

Log:
  - Add USE_GCC [1]
  - Add LICENSE
  - Convert LIB_DEPENDS to new syntax
  - Convert USE_TK to USES
  - Add DOCS and NLS options
  - Add stage support
  - Remove tab from WWW
  
  PR:		ports/183071
  Submitted by:	Aryeh M. Friedman <aryeh.friedman@gmail.com> (maintainer) [1]

Modified:
  head/devel/aegis/Makefile
  head/devel/aegis/pkg-descr
  head/devel/aegis/pkg-plist   (contents, props changed)

Modified: head/devel/aegis/Makefile
==============================================================================
--- head/devel/aegis/Makefile	Mon Oct 21 23:17:11 2013	(r331209)
+++ head/devel/aegis/Makefile	Mon Oct 21 23:21:00 2013	(r331210)
@@ -10,12 +10,14 @@ MASTER_SITES=	SF
 MAINTAINER=	aryeh.friedman@gmail.com
 COMMENT=	Transaction-based software configuration management system
 
-LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl
+LICENSE=	GPLv3
+
+LIB_DEPENDS=	libcurl.so:${PORTSDIR}/ftp/curl
 RUN_DEPENDS=	tkdiff:${PORTSDIR}/textproc/tkdiff
 
-USES=		gettext perl5
+USES=		gettext perl5 tk
 USE_GNOME=	libxml2
-USE_TK=		yes
+USE_GCC=	any
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	"-I${LOCALBASE}/include"
 CONFIGURE_ARGS=	--with-nlsdir="${PREFIX}/share/locale"
@@ -23,33 +25,17 @@ CONFIGURE_ENV=	WISH="${WISH}"
 LDFLAGS+=	-L${LOCALBASE}/lib
 MAKE_JOBS_UNSAFE=	yes
 
+OPTIONS_DEFINE=	DOCS NLS
+OPTIONS_SUB=	yes
+
 # XXX Manpages are installed into ${DATADIR} too -- there's no easy way to
 #     stop this because we don't have Makefile.am provided.  Maintainer will
 #     sort this with upstream.
 
-MAN1=	ae-cvs-ci.1 ae-repo-ci.1 ae-sccs-put.1 ae_c.1 ae_diff2htm.1 ae_p.1 \
-	aeannotate.1 aeb.1 aebisect.1 aebuffy.1 aeca.1 aecd.1 aechown.1 \
-	aeclean.1 aeclone.1 aecomp.1 aecomplete.1 aecp.1 aecpu.1 aecvsserver.1 \
-	aed.1 aedb.1 aedbu.1 aede.1 aede-policy.1 aedeu.1 aediff.1 \
-	aedist.1 aedn.1 aeedit.1 aefa.1 aefind.1 aefinish.1 aefp.1 \
-	aeget.1 aegis.1 aegis.cgi.1 aeib.1 aeibu.1 aeifail.1 aeimport.1 \
-	aeintegratq.1 aeipass.1 ael.1 aelcf.1 aelic.1 aelock.1 aelpf.1 \
-	aels.1 aemakegen.1 aemeasure.1 aemt.1 aemtu.1 aemv.1 aemvu.1 aena.1 \
-	aenbr.1 aenbru.1 aenc.1 aencu.1 aend.1 aenf.1 aenfu.1 aeni.1 aenpa.1 \
-	aenpr.1 aenrls.1 aenrv.1 aent.1 aentu.1 aepa.1 aepatch.1 \
-	aepromptcmd.1 aer.1 aera.1 aerb.1 aerbu.1 aerd.1 aerect.1 \
-	aerevml.1 aerfail.1 aeri.1 aerm.1 aermpr.1 aermu.1 aerpa.1 \
-	aerpass.1 aerpu.1 aerrv.1 aesub.1 aesubunit.1 aesvt.1 aet.1 \
-	aetar.1 aev.1 aexml.1 aexver.1 tkaeca.1 tkaegis.1 tkaenc.1 \
-	tkaepa.1 tkaer.1
-MAN5=	aecattr.5 aecstate.5 aedir.5 aefattr.5 aefstate.5 aegis.5 \
-	aegstate.5 aelock.5 aemetrics.5 aepattr.5 aepconf.5 aepstate.5 \
-	aer.5 aerptidx.5 aesub.5 aetest.5 aeuconf.5 aeustate.5
 PORTDATA=	*
 PORTDOCS=	*
 
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 post-patch:
 # Avoid "2>/dev/null" redirect in csh (ends up with empty manpath).
@@ -63,17 +49,19 @@ post-patch:
 	@${REINPLACE_CMD} -e 's|global lib|& datadir|' \
 		${WRKSRC}/script/xaegis.in
 
-post-install:
-.if !defined(NOPORTDOCS)
-. for dir in de en
-	${MKDIR} ${DOCSDIR}/${dir}
-	cd ${WRKSRC}/lib/${dir} && ${INSTALL_DATA} *.ps *.txt ${DOCSDIR}/${dir}
-. endfor
+post-configure:
+.if empty(PORT_OPTIONS:MNLS)
+	${REINPLACE_CMD} -e 's|HAVE_MSGFMT = yes|HAVE_MSGFMT = no|' \
+		${WRKSRC}/Makefile
 .endif
+
+post-install:
+.for dir in de en
+	${MKDIR} ${STAGEDIR}${DOCSDIR}/${dir}
+	cd ${WRKSRC}/lib/${dir} && ${INSTALL_DATA} *.ps *.txt ${STAGEDIR}${DOCSDIR}/${dir}
+.endfor
 # Fails to reinstall because keeps track of created directories, so make it
 # forget that, by recreating them on each install.
 	@${FIND} ${WRKSRC} -type f -name ".*dir" -delete
-# Information.
-	@${CAT} ${PKGMESSAGE}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/devel/aegis/pkg-descr
==============================================================================
--- head/devel/aegis/pkg-descr	Mon Oct 21 23:17:11 2013	(r331209)
+++ head/devel/aegis/pkg-descr	Mon Oct 21 23:21:00 2013	(r331210)
@@ -21,4 +21,4 @@ as possible. Some key features:
 * Peer-to-peer architecture. Work may flow in without involving a master site.
 * Costs are proportional to change size, not data size.
 
-WWW:	http://aegis.sourceforge.net/
+WWW: http://aegis.sourceforge.net/

Modified: head/devel/aegis/pkg-plist
==============================================================================
--- head/devel/aegis/pkg-plist	Mon Oct 21 23:17:11 2013	(r331209)
+++ head/devel/aegis/pkg-plist	Mon Oct 21 23:21:00 2013	(r331210)
@@ -1,4 +1,124 @@
 @exec mkdir -p %D/com/aegis
+man/man1/ae-cvs-ci.1.gz
+man/man1/ae-repo-ci.1.gz
+man/man1/ae-sccs-put.1.gz
+man/man1/ae_c.1.gz
+man/man1/ae_diff2htm.1.gz
+man/man1/ae_p.1.gz
+man/man1/aeannotate.1.gz
+man/man1/aeb.1.gz
+man/man1/aebisect.1.gz
+man/man1/aebuffy.1.gz
+man/man1/aeca.1.gz
+man/man1/aecd.1.gz
+man/man1/aechown.1.gz
+man/man1/aeclean.1.gz
+man/man1/aeclone.1.gz
+man/man1/aecomp.1.gz
+man/man1/aecomplete.1.gz
+man/man1/aecp.1.gz
+man/man1/aecpu.1.gz
+man/man1/aecvsserver.1.gz
+man/man1/aed.1.gz
+man/man1/aedb.1.gz
+man/man1/aedbu.1.gz
+man/man1/aede-policy.1.gz
+man/man1/aede.1.gz
+man/man1/aedeu.1.gz
+man/man1/aediff.1.gz
+man/man1/aedist.1.gz
+man/man1/aedn.1.gz
+man/man1/aeedit.1.gz
+man/man1/aefa.1.gz
+man/man1/aefind.1.gz
+man/man1/aefinish.1.gz
+man/man1/aefp.1.gz
+man/man1/aeget.1.gz
+man/man1/aegis.1.gz
+man/man1/aegis.cgi.1.gz
+man/man1/aeib.1.gz
+man/man1/aeibu.1.gz
+man/man1/aeifail.1.gz
+man/man1/aeimport.1.gz
+man/man1/aeintegratq.1.gz
+man/man1/aeipass.1.gz
+man/man1/ael.1.gz
+man/man1/aelcf.1.gz
+man/man1/aelic.1.gz
+man/man1/aelock.1.gz
+man/man1/aelpf.1.gz
+man/man1/aels.1.gz
+man/man1/aemakegen.1.gz
+man/man1/aemeasure.1.gz
+man/man1/aemt.1.gz
+man/man1/aemtu.1.gz
+man/man1/aemv.1.gz
+man/man1/aemvu.1.gz
+man/man1/aena.1.gz
+man/man1/aenbr.1.gz
+man/man1/aenbru.1.gz
+man/man1/aenc.1.gz
+man/man1/aencu.1.gz
+man/man1/aend.1.gz
+man/man1/aenf.1.gz
+man/man1/aenfu.1.gz
+man/man1/aeni.1.gz
+man/man1/aenpa.1.gz
+man/man1/aenpr.1.gz
+man/man1/aenrls.1.gz
+man/man1/aenrv.1.gz
+man/man1/aent.1.gz
+man/man1/aentu.1.gz
+man/man1/aepa.1.gz
+man/man1/aepatch.1.gz
+man/man1/aepromptcmd.1.gz
+man/man1/aer.1.gz
+man/man1/aera.1.gz
+man/man1/aerb.1.gz
+man/man1/aerbu.1.gz
+man/man1/aerd.1.gz
+man/man1/aerect.1.gz
+man/man1/aerevml.1.gz
+man/man1/aerfail.1.gz
+man/man1/aeri.1.gz
+man/man1/aerm.1.gz
+man/man1/aermpr.1.gz
+man/man1/aermu.1.gz
+man/man1/aerpa.1.gz
+man/man1/aerpass.1.gz
+man/man1/aerpu.1.gz
+man/man1/aerrv.1.gz
+man/man1/aesub.1.gz
+man/man1/aesubunit.1.gz
+man/man1/aesvt.1.gz
+man/man1/aet.1.gz
+man/man1/aetar.1.gz
+man/man1/aev.1.gz
+man/man1/aexml.1.gz
+man/man1/aexver.1.gz
+man/man1/tkaeca.1.gz
+man/man1/tkaegis.1.gz
+man/man1/tkaenc.1.gz
+man/man1/tkaepa.1.gz
+man/man1/tkaer.1.gz
+man/man5/aecattr.5.gz
+man/man5/aecstate.5.gz
+man/man5/aedir.5.gz
+man/man5/aefattr.5.gz
+man/man5/aefstate.5.gz
+man/man5/aegis.5.gz
+man/man5/aegstate.5.gz
+man/man5/aelock.5.gz
+man/man5/aemetrics.5.gz
+man/man5/aepattr.5.gz
+man/man5/aepconf.5.gz
+man/man5/aepstate.5.gz
+man/man5/aer.5.gz
+man/man5/aerptidx.5.gz
+man/man5/aesub.5.gz
+man/man5/aetest.5.gz
+man/man5/aeuconf.5.gz
+man/man5/aeustate.5.gz
 bin/ae-cvs-ci
 bin/ae-repo-ci
 bin/ae-sccs-put
@@ -17,11 +137,13 @@ bin/aefind
 bin/aefinish
 bin/aeget
 bin/aeget.instal
+@mode 4755
 bin/aegis
 bin/aeimport
+bin/aelock
+@mode
 bin/aeintegratq
 bin/aelcf
-bin/aelock
 bin/aelpf
 bin/aels
 bin/aemakegen
@@ -46,16 +168,16 @@ bin/tkaer
 bin/xaegis
 etc/profile.d/aegis.sh
 etc/profile.d/aegis.csh
-share/locale/de/LC_MESSAGES/aegis.mo
-share/locale/en/LC_MESSAGES/aegis.mo
-share/locale/es/LC_MESSAGES/aegis.mo
-share/locale/fr/LC_MESSAGES/aegis.mo
-share/locale/it/LC_MESSAGES/aegis.mo
-share/locale/nl/LC_MESSAGES/aegis.mo
-share/locale/pt_BR/LC_MESSAGES/aegis.mo
-share/locale/ro/LC_MESSAGES/aegis.mo
-share/locale/ru/LC_MESSAGES/aegis.mo
-share/locale/vi/LC_MESSAGES/aegis.mo
+%%NLS%%share/locale/de/LC_MESSAGES/aegis.mo
+%%NLS%%share/locale/en/LC_MESSAGES/aegis.mo
+%%NLS%%share/locale/es/LC_MESSAGES/aegis.mo
+%%NLS%%share/locale/fr/LC_MESSAGES/aegis.mo
+%%NLS%%share/locale/it/LC_MESSAGES/aegis.mo
+%%NLS%%share/locale/nl/LC_MESSAGES/aegis.mo
+%%NLS%%share/locale/pt_BR/LC_MESSAGES/aegis.mo
+%%NLS%%share/locale/ro/LC_MESSAGES/aegis.mo
+%%NLS%%share/locale/ru/LC_MESSAGES/aegis.mo
+%%NLS%%share/locale/vi/LC_MESSAGES/aegis.mo
 @dirrmtry etc/profile.d
 @dirrmtry com/aegis
 @dirrmtry com
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Danilo Egea Gondolfo freebsd_committer 2013-10-22 00:22:07 UTC
State Changed
From-To: open->closed

Committed, with changes. Thanks!